CREATE TABLE iby_ecapp (
    ECAPPID                   NUMBER(18, 0) ,
    NAME                      VARCHAR2(320)     NOT NULL,
    APPLICATION_SHORT_NAME    VARCHAR2(200)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SECURITY_GROUP_ID         NUMBER        ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    ECAPPID                   NUMBER(18, 0) ,
    NAME                      VARCHAR2(320)     NOT NULL,
    APPLICATION_SHORT_NAME    VARCHAR2(200)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SECURITY_GROUP_ID         NUMBER        ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_iby_ecapp PRIMARY KEY (ECAPPID, ECAPPID)
);
